Subject: bug#53989: 29.0.50; Gnus searches broken

From: Eric Abrahamsen <[email-masked]>
Date: Sun, 13 Feb 2022 22:05:49 -0800

Michael Heerdegen <[email-masked]> writes:

> Eric Abrahamsen <[email-masked]> writes:
>
>> Can you tell me which Gnus backend this is on, what the search engine
>> is, what search engine config you've got, and the full filepath of a
>> typical search result that isn't showing up in searches?
>
> I was using mairix to search my local mail archives (nnml):
>
> (setf (alist-get 'nnml gnus-search-default-engines)
>       'gnus-search-mairix)
> (setq gnus-search-mairix-remove-prefix
>       (expand-file-name "Mail/archive/" "~"))
>
> Matches look like
>
> /home/micha/Mail/archive//sent/9076

This double slash is odd?

> Anything else you need to know?
>
> When edebugging, the path stuff seemed to work ok, I saw that the
> article numbers like "9076" were processed individually.  However I
> didn't understand why the group names in the code were like ".sent",
> ".work", etc, with a leading dot, instead of "sent", "work".  At that
> point I gave up.  I had the impression that the articles were not
> correctly mapped to their groups and all were just discarded.

I'm not sure where the dot would come from, either, but that's a good
clue. I'll take a look.